Updating Security String to 2017-01-01 on nyc-dev

(cherry picked from commit 202380f93e063b0b21b9305ebb3bfbc62c800bfa)
diff --git a/core/version_defaults.mk b/core/version_defaults.mk
index e06a158..611b81b 100644
--- a/core/version_defaults.mk
+++ b/core/version_defaults.mk
@@ -114,7 +114,7 @@
     #  It must be of the form "YYYY-MM-DD" on production devices.
     #  It must match one of the Android Security Patch Level strings of the Public Security Bulletins.
     #  If there is no $PLATFORM_SECURITY_PATCH set, keep it empty.
-      PLATFORM_SECURITY_PATCH := 2016-12-05
+      PLATFORM_SECURITY_PATCH := 2017-01-01
 endif
 
 ifeq "" "$(PLATFORM_BASE_OS)"